/* This file is part of the KDE project

   Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "collectionproxy.h"

#include <QSortFilterProxyModel>
#include <QStringList>

#include <akonadi/agentmanager.h>
#include <akonadi/collectionfilterproxymodel.h>
#include <akonadi/collectionmodel.h>
#include <KDebug>

using namespace Mailody;

CollectionProxy::CollectionProxy( QObject * parent )
        : CollectionFilterProxyModel( parent )
{
    setSortCaseSensitivity( Qt::CaseInsensitive );
    setDynamicSortFilter( true );

}

bool CollectionProxy::lessThan( const QModelIndex &left,
                                const QModelIndex &right ) const
{
    bool result = false;
    int column = left.column();
    if ( column == 0 ) {
        QString left_data = sourceModel()->data( left, Qt::EditRole ).toString();
        QString right_data = sourceModel()->data( right, Qt::EditRole ).toString();
        if ( left_data == "Inbox" )
            result = true;
        else if ( right_data == "Inbox" )
            result = false;
        else
            result = left_data < right_data;
    } else
        result = CollectionFilterProxyModel::lessThan( left,right );

    return result;
}
