/* This file is part of the KDE project

   Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef COLLECTIONPROXY_H
#define COLLECTIONPROXY_H

#include <akonadi/collectionfilterproxymodel.h>
#include <akonadi/collection.h>

using namespace Akonadi;

namespace Mailody
{

/**
 * @class CollectionProxy
 * @brief The filter class for the Collections.
 *
 * This class is a QSortFilterProxyModel and does:
 * - put the inbox at the top.
 * @author Tom Albers <tomalbers@kde.nl>
 */
class CollectionProxy : public CollectionFilterProxyModel
{
public:
    /**
     * Constructor
     * @param parent the parent widget.
     */
    CollectionProxy( QObject * parent );

protected:
    /**
     * reimplemented to put the inbox at the top.
     */
    virtual bool lessThan( const QModelIndex&, const QModelIndex& ) const;
};

}

#endif
