/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "ip2geobase.h"

#include <kio/job.h>
#include <kdebug.h>

ip2geoBase::ip2geoBase( const KUrl& url, QObject* parent )
        : QObject( parent )
{
    KIO::StoredTransferJob* job = storedGet( url, KIO::NoReload,
                                  KIO::HideProgressInfo );
    connect( job, SIGNAL( result( KJob* ) ),
             this, SLOT( slotReplyFinished( KJob* ) ) );
}

void ip2geoBase::slotReplyFinished( KJob* job )
{
    GeoInfo info;
    if ( job->error() > 0 ) {
        kDebug() << "Method 1 failed:" << job->errorString();
    } else {
        KIO::StoredTransferJob* transferJob = static_cast<KIO::StoredTransferJob*>( job );
        processResult( transferJob->data() );
    }
}

#include "ip2geobase.moc"
