/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef IP2GEOBASE_H
#define IP2GEOBASE_H

#include <QString>
#include <QObject>
#include <KUrl>

typedef struct {
    QString longitude;
    QString latitude;
    QString city;
    QString ip;
} GeoInfo;

class KJob;

class ip2geoBase : public QObject
{
    Q_OBJECT

public:
    ip2geoBase( const KUrl& ip, QObject* parent );
    virtual void processResult( const QByteArray& data ) = 0;

signals:
    void result( GeoInfo );

private slots:
    void slotReplyFinished( KJob* job );
};

#endif // IP2GEOBASE_H
