/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "ip2geohostip.h"

#include <kdebug.h>

ip2geoHostip::ip2geoHostip( const QString& ip, QObject* parent )
        : ip2geoBase( constructUrl( ip ), parent ), m_ip( ip )
{
}

KUrl ip2geoHostip::constructUrl( const QString& ip )
{
    KUrl url( "http://api.hostip.info/get_html.php" );
    url.addQueryItem( QLatin1String( "position" ), QLatin1String( "true" ) );
    url.addQueryItem( QLatin1String( "ip" ), ip );
    return url;
}

void ip2geoHostip::processResult( const QByteArray& data )
{
    GeoInfo info;
    const QList<QByteArray> dataList = data.split( '\n' );
    foreach( const QByteArray& line, dataList ) {
        if ( line.startsWith( "Latitude: " ) ) //krazy:exclude=strings
            info.latitude = line.mid( 10 );
        else if ( line.startsWith( "Longitude: " ) ) //krazy:exclude=strings
            info.longitude = line.mid( 11 );
        else if ( line.startsWith( "City: " ) ) //krazy:exclude=strings
            info.city = line.mid( 6 );
    }
    info.ip=m_ip;
    kDebug() << info.ip << info.latitude << info.longitude << info.city;
    emit result( info );
}

#include "ip2geohostip.moc"
