/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "ip2geoipinfodb.h"

#include <kdebug.h>

ip2geoipInfodb::ip2geoipInfodb( const QString& ip, QObject* parent )
        : ip2geoBase( constructUrl( ip ), parent ), m_ip( ip )
{
}

KUrl ip2geoipInfodb::constructUrl( const QString& ip )
{
    KUrl url( "http://.com/ip_query.php" );
    url.addQueryItem( QLatin1String( "ip" ), ip );
    url.addQueryItem( QLatin1String( "output" ), QLatin1String( "raw" ) );
    return url;
}

void ip2geoipInfodb::processResult( const QByteArray& data )
{
    GeoInfo info;
    const QList<QByteArray> pdata = data.split( ',' );
    info.ip = m_ip;
    info.latitude = pdata.at( 8 );
    info.longitude= pdata.at( 9 );
    info.city = pdata.at( 6 );
    kDebug() << info.ip << info.latitude << info.longitude << info.city;
    emit result( info );
}

#include "ip2geoipinfodb.moc"
